package net.pterodactylus.sone.text;

import net.pterodactylus.sone.data.Album;

/**
 * {@link Part} implementation that contains information about the linked {@link Album}.
 *
 * @author <a href="mailto:bombe@pterodactylus.net">David ‘Bombe’ Roden</a>
 */
public class AlbumPart implements Part {

	private final Album album;

	public AlbumPart(Album album) {
		this.album = album;
	}

	public Album getAlbum() {
		return album;
	}

	@Override
	public String getText() {
		return album.getTitle();
	}

}
